Package org.opensaml.xmlsec.encryption

# Interface ConcatKDFParams

All Superinterfaces:
  `XMLObject`

All Known Implementing Classes:
  `ConcatKDFParamsImpl`

public interface ConcatKDFParams extends XMLObject
XMLObject representing XML Encryption 1.1 ConcatKDFParams element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALGORITHM_ID_ATTRIBUTE_NAME`
AlgorithmID attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`PARTY_U_INFO_ATTRIBUTE_NAME`
PartyUInfo attribute name.
`static final String`
`PARTY_V_INFO_ATTRIBUTE_NAME`
PartyVInfo attribute name.
`static final String`
`SUPP_PRIV_INFO_ATTRIBUTE_NAME`
SuppPrivInfo attribute name.
`static final String`
`SUPP_PUB_INFO_ATTRIBUTE_NAME`
SuppPubInfo attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithmID()`
Gets the AlgorithmID attribute in its padded hex-encoded form.
`byte[]`
`getAlgorithmIDBytes()`
Gets the AlgorithmID attribute in its padded byte array form.
`DigestMethod`
`getDigestMethod()`
Gets the digest method.
`String`
`getPartyUInfo()`
Gets the PartyUInfo attribute in its padded hex-encoded form.
`byte[]`
`getPartyUInfoBytes()`
Gets the PartyUInfo attribute in its padded byte array form.
`String`
`getPartyVInfo()`
Gets the PartyVInfo attribute in its padded hex-encoded form.
`byte[]`
`getPartyVInfoBytes()`
Gets the PartyVInfo attribute in its padded byte array form.
`String`
`getSuppPrivInfo()`
Gets the SuppPrivInfo attribute in its padded hex-encoded form.
`byte[]`
`getSuppPrivInfoBytes()`
Gets the SuppPrivInfo attribute in its padded byte array form.
`String`
`getSuppPubInfo()`
Gets the SuppPubInfo attribute in its padded hex-encoded form.
`byte[]`
`getSuppPubInfoBytes()`
Gets the SuppPubInfo attribute in its padded byte array form.
`void`
`setAlgorithmID(String algorithmID)`
Sets the AlgorithmID attribute.
`void`
`setAlgorithmIDBytes(byte[] algorithmID)`
Sets the AlgorithmID attribute.
`void`
`setDigestMethod(DigestMethod digestMethod)`
Sets the digest method.
`void`
`setPartyUInfo(String partyUInfo)`
Sets the PartyUInfo attribute.
`void`
`setPartyUInfoBytes(byte[] partyUInfo)`
Sets the PartyUInfo attribute.
`void`
`setPartyVInfo(String partyVInfo)`
Sets the PartyVInfo attribute.
`void`
`setPartyVInfoBytes(byte[] partyVInfo)`
Sets the PartyVInfo attribute.
`void`
`setSuppPrivInfo(String suppPrivInfo)`
Sets the SuppPrivInfo attribute.
`void`
`setSuppPrivInfoBytes(byte[] suppPrivInfo)`
Sets the SuppPrivInfo attribute.
`void`
`setSuppPubInfo(String suppPubInfo)`
Sets the SuppPubInfo attribute.
`void`
`setSuppPubInfoBytes(byte[] suppPubInfo)`
Sets the SuppPubInfo attribute.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### ALGORITHM_ID_ATTRIBUTE_NAME

@Nonnull @NotEmpty static final String ALGORITHM_ID_ATTRIBUTE_NAME
AlgorithmID attribute name.

See Also:
  - Constant Field Values

### PARTY_U_INFO_ATTRIBUTE_NAME

@Nonnull @NotEmpty static final String PARTY_U_INFO_ATTRIBUTE_NAME
PartyUInfo attribute name.

See Also:
  - Constant Field Values

### PARTY_V_INFO_ATTRIBUTE_NAME

@Nonnull @NotEmpty static final String PARTY_V_INFO_ATTRIBUTE_NAME
PartyVInfo attribute name.

See Also:
  - Constant Field Values

### SUPP_PUB_INFO_ATTRIBUTE_NAME

@Nonnull @NotEmpty static final String SUPP_PUB_INFO_ATTRIBUTE_NAME
SuppPubInfo attribute name.

See Also:
  - Constant Field Values

### SUPP_PRIV_INFO_ATTRIBUTE_NAME

@Nonnull @NotEmpty static final String SUPP_PRIV_INFO_ATTRIBUTE_NAME
SuppPrivInfo attribute name.

See Also:
  - Constant Field Values

## Method Details

### getDigestMethod

@Nullable DigestMethod getDigestMethod()
Gets the digest method.

Returns:
  the digest method

### setDigestMethod

void setDigestMethod(@Nullable DigestMethod digestMethod)
Sets the digest method.

Parameters:
  `digestMethod` - the digest method

### getAlgorithmID

@Nullable String getAlgorithmID()
Gets the AlgorithmID attribute in its padded hex-encoded form.

Returns:
  the `AlgorithmID` attribute

### setAlgorithmID

void setAlgorithmID(@Nullable String algorithmID)
Sets the AlgorithmID attribute.

Parameters:
  `algorithmID` - the AlgorithmID attribute in its padded hex-encoded form

### getAlgorithmIDBytes

@Nullable byte[] getAlgorithmIDBytes()
Gets the AlgorithmID attribute in its padded byte array form.

Returns:
  the `AlgorithmID` attribute

### setAlgorithmIDBytes

void setAlgorithmIDBytes(@Nullable byte[] algorithmID)
Sets the AlgorithmID attribute.

Parameters:
  `algorithmID` - the AlgorithmID attribute in its padded byte array form

### getPartyUInfo

@Nullable String getPartyUInfo()
Gets the PartyUInfo attribute in its padded hex-encoded form.

Returns:
  the PartyUInfo attribute

### setPartyUInfo

void setPartyUInfo(@Nullable String partyUInfo)
Sets the PartyUInfo attribute.

Parameters:
  `partyUInfo` - PartyUInfo attribute in its padded hex-encoded form

### getPartyUInfoBytes

@Nullable byte[] getPartyUInfoBytes()
Gets the PartyUInfo attribute in its padded byte array form.

Returns:
  the PartyUInfo attribute

### setPartyUInfoBytes

void setPartyUInfoBytes(@Nullable byte[] partyUInfo)
Sets the PartyUInfo attribute.

Parameters:
  `partyUInfo` - PartyUInfo attribute in its padded byte array form

### getPartyVInfo

@Nullable String getPartyVInfo()
Gets the PartyVInfo attribute in its padded hex-encoded form.

Returns:
  the PartyVInfo attribute

### setPartyVInfo

void setPartyVInfo(@Nullable String partyVInfo)
Sets the PartyVInfo attribute.

Parameters:
  `partyVInfo` - PartyVInfo attribute in its padded hex-encoded form

### getPartyVInfoBytes

@Nullable byte[] getPartyVInfoBytes()
Gets the PartyVInfo attribute in its padded byte array form.

Returns:
  the PartyVInfo attribute

### setPartyVInfoBytes

void setPartyVInfoBytes(@Nullable byte[] partyVInfo)
Sets the PartyVInfo attribute.

Parameters:
  `partyVInfo` - PartyVInfo attribute in its padded byte array form

### getSuppPubInfo

@Nullable String getSuppPubInfo()
Gets the SuppPubInfo attribute in its padded hex-encoded form.

Returns:
  the SuppPubInfo attribute

### setSuppPubInfo

void setSuppPubInfo(@Nullable String suppPubInfo)
Sets the SuppPubInfo attribute.

Parameters:
  `suppPubInfo` - SuppPubInfo attribute in its padded hex-encoded form

### getSuppPubInfoBytes

@Nullable byte[] getSuppPubInfoBytes()
Gets the SuppPubInfo attribute in its padded byte array form.

Returns:
  the SuppPubInfo attribute

### setSuppPubInfoBytes

void setSuppPubInfoBytes(@Nullable byte[] suppPubInfo)
Sets the SuppPubInfo attribute.

Parameters:
  `suppPubInfo` - SuppPubInfo attribute in its padded byte array form

### getSuppPrivInfo

@Nullable String getSuppPrivInfo()
Gets the SuppPrivInfo attribute in its padded hex-encoded form.

Returns:
  the SuppPrivInfo attribute

### setSuppPrivInfo

void setSuppPrivInfo(@Nullable String suppPrivInfo)
Sets the SuppPrivInfo attribute.

Parameters:
  `suppPrivInfo` - SuppPrivInfo attribute in its padded hex-encoded form

### getSuppPrivInfoBytes

@Nullable byte[] getSuppPrivInfoBytes()
Gets the SuppPrivInfo attribute in its padded byte array form.

Returns:
  the SuppPrivInfo attribute

### setSuppPrivInfoBytes

void setSuppPrivInfoBytes(@Nullable byte[] suppPrivInfo)
Sets the SuppPrivInfo attribute.

Parameters:
  `suppPrivInfo` - SuppPrivInfo attribute in its padded byte array form